Bug 1273301 - [RFE][nova]: Support for Raw Device Mapping(RDM) [NEEDINFO]
[RFE][nova]: Support for Raw Device Mapping(RDM)
Status: NEW
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova (Show other bugs)
unspecified
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Eoghan Glynn
nlevinki
https://blueprints.launchpad.net/nova...
upstream_milestone_none upstream_stat...
: FutureFeature, Reopened
Depends On: 1057319
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-20 03:42 EDT by Pablo Iranzo Gómez
Modified: 2017-10-11 06:53 EDT (History)
19 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 1057319
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ealcaniz: needinfo? (eglynn)


Attachments (Terms of Use)

  None (edit)
Description Pablo Iranzo Gómez 2015-10-20 03:42:23 EDT
Customer wants to be able to attach Raw devices to instances, this allows in the meantime to attach storage which will perform faster and it's replicated on different layer, so it doesn't require the overhead of OSP storage backends (ceph replication, etc).


+++ This bug was initially created as a clone of Bug #1057319 +++

Cloned from launchpad blueprint https://blueprints.launchpad.net/nova/+spec/support-for-raw-device-mapping.

Description:

In comparison with VMware, openstack cannot support the feature of Raw Device Mapping(RDM).

With RDM, the storage logical unit number (LUN) can be directly connected to a instance or VM from the storage area network (SAN).

For most data center applications, including databases, customer relationship management (CRM)applications and enterprise resource planning (ERP) applications, RDM can be used for configurations involving clustering between virtual machines, between physical and virtual machines or where SAN-aware applications are running inside a virtual machine.

RDM, which permits the use of existing SAN commands, is generally used to improve performance in I/O-intensive applications and block locking. Physical mode provides access to most hardware functions of the storage system that is mapped.

with the configuration of the instace:
<disk type="block" device="lun" sgio="unfiltered">
    <driver name="qemu" type="raw" cache="none" />
    <source dev="/dev/sdb" />
    <target dev="sda" bus="scsi" />
    <shareable />
</disk>

<controller type='scsi' model='virtio-scsi'/>

The device /dev/sdb or LUN in the physical server can be connected by the instance.For example, running the command "sg_inq /dev/sda" in the guest.


Specification URL (additional information):

None
Comment 4 Stephen Gordon 2016-01-29 10:24:11 EST
Updated URL to https://blueprints.launchpad.net/nova/+spec/add-virtio-scsi-bus-for-bdm which is the more recent spec which was approved at some point, but is also quite stale at this point.
Comment 7 Edu Alcaniz 2016-09-16 02:46:42 EDT
Hi, could you update the status of the BZ please
Comment 9 Edu Alcaniz 2017-05-08 05:53:55 EDT
Hi, could we get an update to this BZ please.

Thanks
Edu Alcaniz

Note You need to log in before you can comment on or make changes to this bug.